Skip to main content
Version: V1 (deprecated)

Create Hamilton artwork

POST 

/v1/artworks/hamilton

Generate artwork using text-to-image generation with the Hamilton model.

Request

Body

required

    prompt string

    Default value: cat

    Limited to 256 words; additional content will be truncated.

    negativePrompt string

    Limited to 64 words; additional content will be truncated.

    style string

    Possible values: [default, stained-glass, line-drawing, simple-sketch, hand-sketch, coloring-book, plasticine, photographer, analog, abstract-flat, surreal, manga]

    The style to apply to the generated image.

    promptMode string

    Possible values: [seer, servitor]

    Default value: seer

    Controls prompt enhancement. SEER enables AI-powered improvement, SERVITOR uses the prompt as-is.

    creativity integer

    Possible values: >= 1 and <= 5

    Default value: 3

    Controls the CFG scale. Range: 1-5.

    effort integer

    Possible values: >= 1 and <= 5

    Default value: 3

    Controls generation quality vs speed. 1=fastest, 5=highest quality. Range: 1-5.

    aspectRatio string

    Possible values: [1:1, 2:3, 3:4, 4:3, 9:16, 3:2, 16:9]

    Defaults to a 1:1 ratio (1024 × 1024) if width and height are not specified.

    width integer

    Possible values: >= 512 and <= 2048

    Use aspectRatio instead of custom width and height for better quality. If defined, the total area (width × height) must not exceed 1,478,656 pixels (e.g., 1216 × 1216) when highResolution is false, or 1,763,584 pixels (e.g., 1328 × 1328) when highResolution is true.

    height integer

    Possible values: >= 512 and <= 2048

    Use aspectRatio instead of custom width and height for better quality. If defined, the total area (width × height) must not exceed 1,478,656 pixels (e.g., 1216 × 1216) when highResolution is false, or 1,763,584 pixels (e.g., 1328 × 1328) when highResolution is true.

    nsfw boolean
    transparentBackground boolean
    bucket string
    highResolution boolean

    When true, uses higher resolution dimensions for aspect ratios (e.g., 1328×1328 instead of 1024×1024 for 1:1).

    webhook uri

    Optional webhook URL. When provided, the server will POST the final artwork result to this URL upon completion.

Responses

Response indicating that the artwork was successfully created.

Schema

    id uuidrequired
    artworkType stringrequired

    Possible values: [hamilton]

    parameters

    object

    required

    prompt string

    Default value: cat

    Limited to 256 words; additional content will be truncated.

    negativePrompt string

    Limited to 64 words; additional content will be truncated.

    style string

    Possible values: [default, stained-glass, line-drawing, simple-sketch, hand-sketch, coloring-book, plasticine, photographer, analog, abstract-flat, surreal, manga]

    The style to apply to the generated image.

    promptMode string

    Possible values: [seer, servitor]

    Default value: seer

    Controls prompt enhancement. SEER enables AI-powered improvement, SERVITOR uses the prompt as-is.

    creativity integer

    Possible values: >= 1 and <= 5

    Default value: 3

    Controls the CFG scale. Range: 1-5.

    effort integer

    Possible values: >= 1 and <= 5

    Default value: 3

    Controls generation quality vs speed. 1=fastest, 5=highest quality. Range: 1-5.

    aspectRatio string

    Possible values: [1:1, 2:3, 3:4, 4:3, 9:16, 3:2, 16:9]

    Defaults to a 1:1 ratio (1024 × 1024) if width and height are not specified.

    width integer

    Possible values: >= 512 and <= 2048

    Use aspectRatio instead of custom width and height for better quality. If defined, the total area (width × height) must not exceed 1,478,656 pixels (e.g., 1216 × 1216) when highResolution is false, or 1,763,584 pixels (e.g., 1328 × 1328) when highResolution is true.

    height integer

    Possible values: >= 512 and <= 2048

    Use aspectRatio instead of custom width and height for better quality. If defined, the total area (width × height) must not exceed 1,478,656 pixels (e.g., 1216 × 1216) when highResolution is false, or 1,763,584 pixels (e.g., 1328 × 1328) when highResolution is true.

    nsfw boolean
    transparentBackground boolean
    bucket string
    highResolution boolean

    When true, uses higher resolution dimensions for aspect ratios (e.g., 1328×1328 instead of 1024×1024 for 1:1).

    webhook uri

    Optional webhook URL. When provided, the server will POST the final artwork result to this URL upon completion.

    duration numberrequired
    results string[]required
    status stringrequired

    Possible values: [starting, processing, succeeded, failed, canceled]

    createdAt date-timerequired
Loading...